Loading...
Searching...
No Matches
BALL::Exception::OutOfMemory Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::OutOfMemory:

## Public Member Functions

| OutOfMemory (const char *file, int line, Size size=0)
virtual | ~OutOfMemory () throw ()
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Protected Attributes

Size | size_
const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Out of memory. Throw this exception to indicate that an allocation failed. This exception is thrown in the BALL new handler.

Parameters

  size | the number of bytes that should have been allocated

See also
  GlobalException::newHandler

Definition at line 316 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## OutOfMemory()

BALL::Exception::OutOfMemory::OutOfMemory | ( | const char * | file,
|  | int | line,
|  | Size | size = 0 )

## ~OutOfMemory()

virtual BALL::Exception::OutOfMemory::~OutOfMemory | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Data Documentation

## size_

Size BALL::Exception::OutOfMemory::size_

protected

Definition at line 326 of file COMMON/exception.h.